require 'kidney.so'

module KidneyExchange
  class KidneyAllocator
	def initialize(appConfigFile, weightConfigFile)
		@appConfigFile = appConfigFile
		@weightConfigFile = weightConfigFile
	end
	
  	def find_json(data, operation, pairwise, altruisticChainLength)
  		Kidney::Kidney.new(@appConfigFile, @weightConfigFile).find(data, operation, "json", pairwise, altruisticChainLength)
  	end
  	
  	def find_xml(data, operation, pairwise, altruisticChainLength)
  		Kidney::Kidney.new(@appConfigFile, @weightConfigFile).find(data, operation, "xml", pairwise, altruisticChainLength)
  	end
  end
end